import singletonmixin

class SingletonDlg(singletonmixin.Singleton):
    '''A class for a dialog which is also a singleton.

    This class is an abstract class for dialog windows that should:
    -stay open until closed by the user
    -should not grab focus
    -should not be created anew each time
    '''
    #Should the Keybinding window be like this?
    #yes for now
    def show(self):
        self.win.show_all()
        self.win.present()
        #Hack -- can we do this in some other way?
        self.win.connect('delete-event', self.on_delete)

    def on_delete(self, window, event):
        #FIXME: similar to ok_clicked
        self.win.hide()
        return True #i.e. don't delete my widgets

